package xyz.ibatv.iba_backblocks.blocks.mc18.logs;

import net.minecraft.block.Block;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemStrippedNewLogs2 extends ItemBlock{
	
	public static final String[] ArrayLogs = new String[] {"mangrove", "cherry", "bamboo", "pale_oak"};

	public ItemStrippedNewLogs2(Block material) {
		super(material);
		this.setHasSubtypes(true);
	}
	
	public String getUnlocalizedName(ItemStack itemstack){
		int i = itemstack.getItemDamage();
		if (i < 0 || i >= ArrayLogs.length){
			i = 0;
		}
		return super.getUnlocalizedName() + "." + ArrayLogs[i];
	}
	
	@Override
	public int getMetadata (int meta) {
		return meta;
	}

}
